
***********************************************************
* FIGURE 3
***********************************************************
capture program drop appx_figure3
program define appx_figure3 /*<%*/

	*----- PANELS A  --------*

	
	*---- TOP 1 -----*
	* 4. combine, TOP 1 GRAPHS
	use $dtadir/appx_figure3a , clear
	keep if level == "top1"

	* 5. Share of profits
	graph bar s_profits_ccorp s_profits_pt , over(salebin2) ///
			bar(1, color(dknavy)) bar(2, color(navy*.4) lcolor(dknavy))  ///
			graphregion(fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///
			ytitle("Share of profits generated by" "this organizational form (%)", size(medsmall)) ///
			b1title("Sales in 2014", size(medium)) ///
			ysize(4) xsize(6.5)  legend(lab(1 "C-corporations") lab(2 "Top 1% owned pass-throughs") ///
			row(1) region(lc(white)) m(tiny) colgap(vsmall))
	graph export "$graphdir/appx_figure3a_top1.pdf", replace

	*---- TOP 0.1 -----*
	* 4. combine, TOP 1 GRAPHS
	use $dtadir/appx_figure3a , clear
	keep if level == "top01"

	* 5. Share of profits
	graph bar s_profits_ccorp s_profits_pt , over(salebin2) ///
			bar(1, color(dknavy)) bar(2, color(navy*.4) lcolor(dknavy))  ///
			graphregion(fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///
			ytitle("Share of profits generated by" "this organizational form (%)", size(medsmall)) ///
			b1title("Sales in 2014", size(medium)) ///
			ysize(4) xsize(6.5)  legend(lab(1 "C-corporations") lab(2 "Top 0.1% owned pass-throughs") ///
			row(1) region(lc(white)) m(tiny) colgap(vsmall))
	graph export "$graphdir/appx_figure3a_top01.pdf", replace

	

	*---------- PANEL B -----------*
	
	use $dtadir/appx_figure3b , clear

	*--- TOP 1 ----*
	graph bar sh_profits_ccorp sh_top1_profits_pthru sh_totworkers, over(nc1, label(angle(315) labsize(vsmall))) ///
			bar(1, color(dknavy)) bar(2, color(navy*.4) lcolor(dknavy)) bar(3, color(white) lcolor(dknavy)) ///
			$gpr ///
			ytitle("Share of total (%)", size(medsmall)) ///
			ysize(7) xsize(7) legend(order(1 2 3) lab(1 "C-corporation profits") lab(2 "Top 1% owned pass-through firms") ///
			lab(3 "Number of workers") row(2) region(lc(white)) size(small) symxsize(4.4) span forces) ///
			ylab(0(10)50)  
	graph export "$graphdir/appx_figure3b_top1.pdf", replace

	*--- TOP 01 ----*
	graph bar sh_profits_ccorp sh_top01_profits_pthru sh_totworkers, over(nc1, label(angle(315) labsize(vsmall))) ///
			bar(1, color(dknavy)) bar(2, color(navy*.4) lcolor(dknavy)) bar(3, color(white) lcolor(dknavy)) ///
			$gpr ///
			ytitle("Share of total (%)", size(medsmall)) ///
			ysize(7) xsize(7) legend(order(1 2 3) lab(1 "C-corporation profits") lab(2 "Top 1% owned pass-through firms") ///
			lab(3 "Number of workers") row(2) region(lc(white)) size(small) symxsize(4.4) span forces) ///
			ylab(0(10)50)  
	graph export "$graphdir/appx_figure3b_top01.pdf", replace


end /*%>*/
