
***********************************************************
* APPX FIGURE 4: PROFIT BY PROFIT BIN AND INDUSTRY, TOP 1 and TOP 0.1
***********************************************************

capture program drop appx_figure4
program define appx_figure4 /*<%*/


    *---- TOP 1 -----*
    * 4. combine, TOP 1 GRAPHS
	use $dtadir/appx_figure4 , clear
	keep if incgroup == "top1"

    * 5. Share of profits
    graph bar s_profits_ccorp s_profits_pt , over(profitbin, label(angle(20))) ///
			bar(1, color(dknavy)) bar(2, color(navy*.4) lcolor(dknavy)) ///
            graphregion(fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///
            ytitle("Share of profits generated by" "this organizational form (%)", size(medsmall)) ///
            b1title("Profits in 2014", size(medium)) ///
            ysize(4) xsize(7)  legend(lab(1 "C-corporations") lab(2 "Top 1% owned pass-throughs") ///
            row(1) region(lc(white)) m(tiny) colgap(vsmall))
    graph export "$graphdir/appx_figure4a.pdf", replace
 
    *---- TOP 0.1 -----*
    * 4. combine, TOP 1 GRAPHS
    use $dtadir/appx_figure4 , clear
	keep if incgroup == "toppt1"

    * 5. Share of profits
    graph bar s_profits_ccorp s_profits_pt , over(profitbin, label(angle(20))) ///
			bar(1, color(dknavy)) bar(2, color(navy*.4) lcolor(dknavy)) ///
            graphregion(fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///
            ytitle("Share of profits generated by" "this organizational form (%)", size(medsmall)) ///
            b1title("Profits in 2014", size(medium)) ///
            ysize(4) xsize(7)  legend(lab(1 "C-corporations") lab(2 "Top 0.1% owned pass-throughs") ///
            row(1) region(lc(white)) m(tiny) colgap(vsmall))
    graph export "$graphdir/appx_figure4b.pdf", replace


end /*%>*/


