
***********************************************************
* FIGURE 3
***********************************************************
capture program drop figure3
program define figure3 /*<%*/

	*----- PANELS A  --------*
	use "$dtadir/figure3a.dta", clear

	* Plot share of profits
	graph bar s_profits_ccorp s_profits_pt , over(salebin2) ///
			bar(1, color(dknavy)) bar(2, color(navy*.4) lcolor(dknavy))  ///
			graphregion(fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///
			ytitle("Share of profits generated by" "this organizational form (%)", size(medsmall)) ///
			b1title("Sales in 2014", size(medium)) ///
			ysize(4) xsize(6.5)  legend(lab(1 "C-corporations") lab(2 "Millionaire-owned pass-throughs") ///
			row(1) region(lc(white)) m(tiny) colgap(vsmall))
	graph export "$graphdir/figure3a.pdf", replace
	

	*---------- PANEL B -----------*
	use "$dtadir/figure3b.dta", clear


	* Plot share of profits
	graph bar sh_profits_ccorp sh_mill_profits_pthru sh_totworkers, over(nc1, label(angle(315) labsize(vsmall))) ///
			bar(1, color(dknavy)) bar(2, color(navy*.4) lcolor(dknavy)) bar(3, color(white) lcolor(dknavy)) ///
			$gpr ///
			ytitle("Share of total (%)", size(medsmall)) ///
			ysize(7) xsize(7) legend(order(1 2 3) lab(1 "C-corporation profits") lab(2 "Millionaire-owned pass-through firms") ///
			lab(3 "Number of workers") row(2) region(lc(white)) size(small) symxsize(4.4) span forces) ///
			ylab(0(10)50)  
	graph export "$graphdir/figure3b.pdf", replace

end /*%>*/
